//
//  DTMFSound.h
//  DTMF
//
//  Created by Benjamin Ragheb on Thu Jun 05 2003.
//  Copyright (c) 2003 Benjamin Ragheb. All rights reserved.
//

#import <Cocoa/Cocoa.h>

/*
 Takes a string with dialing commands, and returns an NSSound object that
 contains the dialing tones.  Numbers and letters are supported.  One second
 pauses are inserted for every comma.
 */
NSData *DTMFDataFromDialingString(NSString *dialingString, double toneDuration);
NSData *AIFFDataFromSoundData(NSData *soundData);
NSData *AUDataFromSoundData(NSData *soundData);
