#import <Cocoa/Cocoa.h>

@class DTMFGenerator;

@interface SoundDialApp : NSObject
{
    IBOutlet NSButton *dialButton;
    IBOutlet NSComboBox *dialField;
    IBOutlet NSWindow *mainWindow;
    DTMFGenerator *dtmfGenerator;
    NSSound *sound;
	NSMutableArray *dialStringHistory;
}
- (void)reloadUserDefaults;
- (IBAction)playTones:(id)sender;
- (IBAction)stopPlayingTones:(id)sender;
- (IBAction)saveTones:(id)sender;
- (IBAction)restoreDefaults:(id)sender;
- (IBAction)installABPlugIn:(id)sender;
- (IBAction)removeABPlugIn:(id)sender;
@end
